######################################################################
# datTank_kn_MSSL.cs
# Knight's Missle Carrier
#
######################################################################

#                 Identity_Tag        Abbreviation     Shape             Mass            MaxMass                 RCS            Tech_Level   Combat_Value
tankBase(         IDVEH_KN_MSSL,      "MSSL",          "kn_pala.dts",             10.00 ,                 70.00 ,         0.90 ,          4 ,         3490);

#                 maxPosAcc           minPosVel        maxForPosVel      maxRevPosVel    (all_m/s)
tankPos(                       13.00 ,           2.00 ,           22.00 ,          -70.50);

#                 minRotVel           maxRVSlow        maxRVFast         maxRVTurret     (all_deg/s)
tankRot(                        6.00 ,          75.00 ,           35.00 ,           75.00);

#                 offsetX             offsetY          offsetZ
tankCpit(         0.0,                0.0,                              0);

#                 sphOffstX           sphOffstY        sphOffstZ         sphereRad
tankColl(         0.0,                0.0,             2.9,                             3);

#                 TreadAnim_Rot_Coeff Tread_Anim_Pos_Coeff
tankAnim(         2.0,                             0.25);

#                 engine_sound_tag    has_thrusters
tankSound(        IDSFX_TANK_ENGINE_2,      TRUE       );

#                 fireBayesNetName
tankAI(           "tankFire.ai",       "targetPart.ai","tankManeuver.ai","tankRetreat.ai");

#                                     Hard Points
#                                     (sizes:SMLX      sides:TBLR)       Dmg             Offset_fm_Node                                      X_rot_rnge         Z_rot_rnge
#                 id                  size             side              Prnt            X___                    Y___           Z___         min__        max_  min__           max__
newHardPoint(     0,                  M,               I,                TankHead,        1.2,                   1.4,           0.8,         -25.0,       60.0, -60.0,          60);
HardPointDamage(                  1200);
newHardPoint(     1,                  M,               I,                TankHead,       -1.2,                   1.4,           0.8,         -25.0,       60.0, -60.0,          60);
HardPointDamage(                  1200);
newHardPoint(     2,                  M,               T,                TankHead,        1.2,                   1.1,           0.8,         -25.0,       60.0, -60.0,          60);
HardPointDamage(                  1200);
newHardPoint(     3,                  M,               T,                TankHead,       -1.2,                   1.1,           0.8,         -25.0,       60.0, -60.0,          60);
HardPointDamage(                  1200);
newHardPoint(     4,                  M,               R,                TankHead,        1.0,                   1.0,           0.4,         -25.0,       60.0, -60.0,          60);
HardPointDamage(                  1200);
newHardPoint(     5,                  M,               L,                TankHead,       -1.0,                   1.0,           0.4,         -25.0,       60.0, -60.0,          60);
HardPointDamage(                  1200);

#                 id                  size             Dmg_Parent        Allowed_Mountables
newMountPoint(    0,                  X,               Body,             Engine);
newMountPoint(    1,                  M,               Body,             Reactor);
newMountPoint(    2,                  S,               TankHead,         Computer);
newMountPoint(    3,                  L,               none,             Armor);
newMountPoint(    4,                  L,               TankHead,         Sensors);
newMountPoint(    5,                  M,               TankHead,         ECM,            ThermalDiffuser,        LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,TurbineBoost,RocketBooster,     ammoPack          );
newMountPoint(    6,                  L,               Body,             ECM,            ThermalDiffuser,        LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,TurbineBoost,RocketBooster,     ammoPack          );
newMountPoint(    7,                  X,               Body,             ECM,            ThermalDiffuser,        LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,TurbineBoost,RocketBooster,     ammoPack          );
#                 Internal            Components
#                 id                  type             parent            max_dmg         identity_tag
newComponent(     Armor,              Armor,           none,                       5000 ,IDCOM_ARMOR             );
newComponent(     LeftServos,         LeftServos,      none,                        700 ,IDCOM_LEFT_TREAD_SERVOS );
newComponent(     RightServos,        RightServos,     none,                        700 ,IDCOM_RIGHT_TREAD_SERVOS);

#                 External            Components
#                 id                  type             parent            max_dmg         identity_tag            total internals         5000
newComponent(     Body,               Body,            none,                       1200 ,IDCOM_BODY              );                    # 0.30
newComponent(     TankHead,           TankHead,        Body,                       1100 ,IDCOM_HEAD              );                    # 0.20
newComponent(     LeftTread,          LeftTread,       Body,                       1000 ,IDCOM_LEFT_TREAD        );                    # 0.25
newComponent(     RightTread,         RightTread,      Body,                       1000 ,IDCOM_RIGHT_TREAD       );                    # 0.25
newComponent(     Pilot,              Pilot,           none,                        400 ,IDCOM_PILOT             );
#                                                                                    5000                                                1.00

#                 Distribution        of               internal          components      among                   external       components
#                 containee           container        percent/100
newConfiguration( Armor,              Body,                           0.3);                                # 1800
newConfiguration( Armor,              TankHead,                       0.3);                                # 1200
newConfiguration( Armor,              LeftTread,                      0.2);                                # 1500
newConfiguration( Armor,              RightTread,                     0.2);                                # 1500
#                 -----
#                                                                    1.00

newConfiguration( LeftServos,         LeftTread,                        1);
newConfiguration( RightServos,        RightTread,                       1);

defaultWeapons(   119,                119,             119,              119,            119,                    119);
defaultMountables(110,                201,             802,              928,            411,                    820,           811,                   885);
